#if !defined(AFX_WINDOWUTILITIES_H__A63FDC62_F87B_480A_863E_C8E9E4AE0AA0__INCLUDED_)
#define AFX_WINDOWUTILITIES_H__A63FDC62_F87B_480A_863E_C8E9E4AE0AA0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define STATE_UNKNOWN	1
#define STATE_NORMAL	2
#define STATE_SELECTED	4
#define STATE_MINIMIZED	8
#define STATE_FLASHING	16
	
int GetState(HWND);
bool IsActive(HWND);
void OnTopToggle(HWND);
void SetOnTop(HWND);
bool IsOnTop(HWND);
void SetNotOnTop(HWND);
void MinimizeWindow(HWND);
void MaximizeWindow(HWND);
void RestoreWindow(HWND);
void SelectWindow(HWND);
void Close(HWND);

HWND GetRealWindow(HWND);
HWND GetOwnerWindow(HWND);

#endif // !defined(AFX_WINDOWUTILITIES_H__A63FDC62_F87B_480A_863E_C8E9E4AE0AA0__INCLUDED_)
